Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Property_Filter Class Reference

The Ace_Property_Filter copies those properties specified in a CosTrading::Lookup::SpecifiedProps from a source CosTrading::Offer to a destination CosTrading::Offer. More...

`#include <Trader_Utils.h>`

Collaboration diagram for TAO_Property_Filter:

[legend]
List of all members.

## Public Types
typedef CosTrading::Lookup::SpecifiedProps | SPECIFIED_PROPS
## Public Methods
| TAO_Property_Filter (void)
| An accomplice to g++'s insane lust for copy constructors. More...
| TAO_Property_Filter (const SPECIFIED_PROPS &desired_props ACE_ENV_ARG_DECL) throw (CosTrading::IllegalPropertyName, CosTrading::DuplicatePropertyName)
| Verify that the specified properties are correct. More...
| TAO_Property_Filter (const TAO_Property_Filter &prop_filter)
TAO_Property_Filter & | operator= (const TAO_Property_Filter &prop_filter)
void | filter_offer (CosTrading::Offer *source, CosTrading::Offer &destination)
| Copy the desired properties from the source offer to the destination offer. More...
## Private Types
typedef ACE_Unbounded_Queue< CosTrading::Property * > | Prop_Queue
## Private Attributes
TAO_String_Set | props_
CosTrading::Lookup::HowManyProps | policy_

## Detailed Description

The Ace_Property_Filter copies those properties specified in a CosTrading::Lookup::SpecifiedProps from a source CosTrading::Offer to a destination CosTrading::Offer.

## Member Typedef Documentation

typedef ACE_Unbounded_Queue< CosTrading::Property* > TAO_Property_Filter::Prop_Queue`[private]`

typedef CosTrading::Lookup::SpecifiedProps TAO_Property_Filter::SPECIFIED_PROPS

## Constructor & Destructor Documentation

TAO_Property_Filter::TAO_Property_Filter | ( | void |  | ) | `[inline]`

| An accomplice to g++'s insane lust for copy constructors.

TAO_Property_Filter::TAO_Property_Filter | ( | const SPECIFIED_PROPS &desired_props | ACE_ENV_ARG_DECL | ) | throw (CosTrading::IllegalPropertyName, CosTrading::DuplicatePropertyName)

| Verify that the specified properties are correct.

TAO_Property_Filter::TAO_Property_Filter | ( | const TAO_Property_Filter & | prop_filter | ) |

## Member Function Documentation

void TAO_Property_Filter::filter_offer | ( | CosTrading::Offer * | source,
|  | CosTrading::Offer & | destination
| ) |

| Copy the desired properties from the source offer to the destination offer.

TAO_Property_Filter & TAO_Property_Filter::operator= | ( | const TAO_Property_Filter & | other | ) |

## Member Data Documentation

CosTrading::Lookup::HowManyProps TAO_Property_Filter::policy_`[private]`

TAO_String_Set TAO_Property_Filter::props_`[private]`

The documentation for this class was generated from the following files:

- Trader_Utils.h
- Trader_Utils.cpp